Name:          libpisp
Version:       1.2.0
Release:       1%{?dist}
Summary:       A helper library for the Raspberry Pi ISP (PiSP)
License:       BSD-2-Clause
URL:           https://github.com/raspberrypi/libpisp
Source0:       %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: boost-devel
BuildRequires: gcc gcc-c++
BuildRequires: json-devel
BuildRequires: meson

%description
A helper library to generate run-time configuration for the Raspberry Pi
ISP (PiSP), consisting of the Frontend and Backend hardware components.

%package devel
Summary: Development package for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with %{name}.


%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license LICENSE
%{_libdir}/libpisp.so.1*
%{_datadir}/libpisp/

%files devel
%{_includedir}/libpisp/
%{_libdir}/libpisp.so
%{_libdir}/pkgconfig/libpisp.pc

%changelog
* Fri Apr 04 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 1.2.0-1
- Initial package
